what is latest OS X version for iMac 2.1 GHz Power PC G5, now running version 10.4.11

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Leopard (OS 10.5).

    Minimum requirements for OS 10.5:
    • A Mac computer with an Intel, PowerPC G5, or Power PC G4 (867 MHz or faster) processor
    • 512 MB memory or more
    • A DVD drive for installation
    • 9 GB of available disk space or more

    Snow Leopard and Lion will not run on a Power PC G5 processor.

    Was this useful? Answer 1

    13 of 13 people found this useful

Related Questions